# @summary Install the snaplogic-sidekick package
class groundplex::install (
  String $package                                    = $groundplex::package,
  Optional[Groundplex::Sapjco3Config] $sapjco_config = undef,
) {
  package { $package:
    ensure => 'latest',
  }

  # TODO - configure based on the init system in place on this node
  file { '/etc/systemd/system/snaplogic.service':
    ensure  => 'file',
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => file('groundplex/snaplogic.service'),
  }

  include limits
  include firewalld

  if $sapjco_config {
    file { '/opt/snaplogic/ldlib/libsapjco3.so':
      ensure         => 'file',
      owner          => 'root',
      group          => 'root',
      mode           => '0755',
      source         => $sapjco_config['source'],
      checksum       => 'sha256',
      checksum_value => $sapjco_config['sha256'],
      require        => Package[$package],
    }
  }
}
